Package org.eclipse.jgit.lib

## Interface Config.ConfigEnum

All Known Implementing Classes:
  `MergeCommand.FastForwardMode`

Enclosing class:
  Config

    public static interface Config.ConfigEnum

Converts enumeration values into configuration options and vice-versa, allowing to match a config option with an enum value.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `matchConfigValue​(String in)` Checks if the given string matches with enum value.
`String` `toConfigValue()` Converts enumeration value into a string to be save in config.

### Method Detail

#### toConfigValue

    String toConfigValue()

Converts enumeration value into a string to be save in config.

Returns:
  the enum value as config string

#### matchConfigValue

    boolean matchConfigValue​(String in)

Checks if the given string matches with enum value.

Parameters:
  `in` - the string to match
Returns:
  true if the given string matches enum value, false otherwise